# General

Contents

- Version
- Options
- Exceptions

Top level constants and exceptions from the library.

## Version

The following constants provide information about the version of the libgit2 library that has been built against. The version number has a `MAJOR.MINOR.REVISION` format.

`LIBGIT2_VER_MAJOR`

  Integer value of the major version number. For example, for the version `0.26.0`:

      >>> print(pygit2.LIBGIT2_VER_MAJOR)
      0

`LIBGIT2_VER_MINOR`

  Integer value of the minor version number. For example, for the version `0.26.0`:

      >>> print(pygit2.LIBGIT2_VER_MINOR)
      26

`LIBGIT2_VER_REVISION`

  Integer value of the revision version number. For example, for the version `0.26.0`:

      >>> print(pygit2.LIBGIT2_VER_REVISION)
      0

`LIBGIT2_VERSION`

  The libgit2 version number as a string:

      >>> print(pygit2.LIBGIT2_VERSION)
      '0.26.0'

## Options

`pygit2.``option`(option, ...)

  Get or set a libgit2 option.

  Parameters:

  GIT_OPT_GET_SEARCH_PATH, level
    Get the config search path for the given level.
  GIT_OPT_SET_SEARCH_PATH, level, path
    Set the config search path for the given level.
  GIT_OPT_GET_MWINDOW_SIZE
    Get the maximum mmap window size.
  GIT_OPT_SET_MWINDOW_SIZE, size
    Set the maximum mmap window size.

## Exceptions

exception `pygit2.``GitError`

  Bases: `Exception`